<template>
  <div id="app">
    <img alt="Vue logo" src="./assets/logo.png" />
    <HelloWorld msg="Welcome to Your Vue.js App" />
    <ToggleButton />
    <!-- <Profile /> -->
    <Aretha />
    <Button title="Click" v:bind:onClick="handleClick" />
    <Button title="Alert" variant="rounded" :onClick="handleAlert" />
    <Button title="Foo" variant="text" :onClick="handleClick" />
    <Collapse title="Foo1" description="Jungle speed" defaultBehavior="opened" />
    <Collapse title="Foo2" description="Jungle speed 2" defaultBehavior="closed" />
    <List :data="[{'id':1,'name':'Foo'},{'id':1,'name':'Food'}]" v-if="index % 2"/>
    <Form/>
  </div>
</template>

<script>
import HelloWorld from "./components/HelloWorld.vue";
import ToggleButton from "./components/ToggleButton.vue";
// import Profile from './components/Profile.vue'
import Aretha from "./components/Aretha.vue";
import Button from "./components/Button.vue";
import Collapse from "./components/Collapse.vue";
import List from "./components/List.vue";
import Form from "./components/Form.vue";

export default {
  name: "App",
  components: {
    HelloWorld,
    ToggleButton,
    // Profile,
    Aretha,
    Button,
    Collapse,
    List,
    Form,
  },
  methods: {
    handleClick: function () {
      console.log("click me");
    },
    handleAlert: function () {
      alert("okok");
    },
  },
  computed: {
    dataEven: function() {
      return this.data.filter((val,index) => index % 2 === 0);
    }
  }
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
